Method: reasoningEngines.executeCode

Full name: projects.locations.reasoningEngines.executeCode

Executes code statelessly.

Endpoint

post https://{service-endpoint}/v1/{name}:executeCode

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the sandbox environment to execute. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}

Request body

The request body contains data with the following structure:

Fields
inputs[] object (Chunk)

Required. The inputs used for the stateless code execution.

Response body

Response message for SandboxEnvironmentExecutionService.ExecuteCode.

If successful, the response body contains data with the following structure:

Fields
outputs[] object (Chunk)

The outputs from the sandbox environment.

JSON representation
{
  "outputs": [
    {
      object (Chunk)
    }
  ]
}